;* --------------------------------------------------------------------------------------
;*  Copyright (C) 2005 Dallas Semiconductor Corporation, All Rights Reserved.
;* 
;*  Permission is hereby granted, free of charge, to any person obtaining a
;*  copy of this software and associated documentation files (the "Software"),
;*  to deal in the Software without restriction, including without limitation
;*  the rights to use, copy, modify, merge, publish, distribute, sublicense,
;*  and/or sell copies of the Software, and to permit persons to whom the
;*  Software is furnished to do so, subject to the following conditions:
;* 
;*  The above copyright notice and this permission notice shall be included
;*  in all copies or substantial portions of the Software.
;* 
;*  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
;*  OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
;*  MERCHANTABILITY,  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
;*  IN NO EVENT SHALL DALLAS SEMICONDUCTOR BE LIABLE FOR ANY CLAIM, DAMAGES
;*  OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
;*  ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
;*  OTHER DEALINGS IN THE SOFTWARE.
;*
;*  Filename:      maxq2000ev_6951
;*  Description:   Constants used by the MAX6951 library.
;*  Date:          Dec 8, 2005
;*  Version:       0.10
;*
;* --------------------------------------------------------------------------------------

; Register addresses for the MAX6951
#define MAX6951REG_NOOP		00h
#define	MAX6951REG_DECODE	01h
#define MAX6951REG_INTENSITY	02h
#define MAX6951REG_SCANLIMIT	03h
#define	MAX6951REG_CONFIGURE	04h
#define MAX6951REG_TEST		07h

#define MAX6951REG_DIGIT0P0	20h
#define MAX6951REG_DIGIT1P0	21h
#define MAX6951REG_DIGIT2P0	22h
#define MAX6951REG_DIGIT3P0	23h
#define MAX6951REG_DIGIT4P0	24h
#define MAX6951REG_DIGIT5P0	25h
#define MAX6951REG_DIGIT6P0	26h
#define MAX6951REG_DIGIT7P0	27h

#define MAX6951REG_DIGIT0P1	40h
#define MAX6951REG_DIGIT1P1	41h
#define MAX6951REG_DIGIT2P1	42h
#define MAX6951REG_DIGIT3P1	43h
#define MAX6951REG_DIGIT4P1	44h
#define MAX6951REG_DIGIT5P1	45h
#define MAX6951REG_DIGIT6P1	46h
#define MAX6951REG_DIGIT7P1	47h

#define MAX6951REG_DIGIT0P0P1	60h
#define MAX6951REG_DIGIT1P0P1	61h
#define MAX6951REG_DIGIT2P0P1	62h
#define MAX6951REG_DIGIT3P0P1	63h
#define MAX6951REG_DIGIT4P0P1	64h
#define MAX6951REG_DIGIT5P0P1	65h
#define MAX6951REG_DIGIT6P0P1	66h
#define MAX6951REG_DIGIT7P0P1	67h
